Subject: [lp-wan] Findings about SCHC RFC 8724

From: Valeria Valdés <[email-masked]>
Date: Mon, 12 Apr 2021 12:48:02 -0400

Dear Authors,

I'm a Master student in Computer Science at the University of Chile and I'm
doing a study about Model Checking of SCHC (RFC 8724). In the analysis, I
found that in the No-ACK mode, it is not indicated what the receiver should
do if it enters the error state and the transmitter continues sending
messages. One of the consequences, if the receiver does nothing, is that it
could lead to a buffer overflow on the receiver side unless the receiver
actively discards the received fragments. ¿Shouldn't this be indicated to
the implementer in the document?

Valeria Valdés